ADSCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.arm.ADSCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.arm
Class ADSCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
                      net.sf.antcontrib.cpptasks.arm.ADSCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

    public class ADSCCompiler

extends CommandLineCCompiler

Adapter for the ARM C Compilers See Doc No: ARM DUI 0151A, Issued: Nov 2001 at http://www.arm.com/arm/User_Guides?OpenDocument

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`protected void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`protected void` | `addWarningSwitch(java.util.Vector args, int warnings)` Adds flags that customize the warnings reported Compiler does not appear to have warning levels but ability to turn off specific errors by explicit switches, could fabricate levels by prioritizing errors.
`static ADSCCompiler` | `getArmCC()` Singleton for ARM 32-bit C compiler
`static ADSCCompiler` | `getArmCpp()` Singleton for ARM 32-bit C++ compiler
`protected void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)` Add command line options for preprocessor macro
`protected java.io.File[]` | `getEnvironmentIncludePath()` ARMINC environment variable contains the default include path
`protected java.lang.String` | `getIncludeDirSwitch(java.lang.String source)` Returns command line option to specify include directory
`Linker` | `getLinker(LinkType type)` Gets the linker that is associated with this processors
`int` | `getMaximumCommandLength()` Maximum command line length
`static ADSCCompiler` | `getThumbCC()` Singleton for ARM 16-bit C compiler
`static ADSCCompiler` | `getThumbCpp()` Singleton for ARM 16-bit C++ compiler
`protected void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, changeEnvironment, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid, changeEnvironment`

Method Detail

### getArmCC

    public static ADSCCompiler getArmCC()

  Singleton for ARM 32-bit C compiler

### getArmCpp

    public static ADSCCompiler getArmCpp()

  Singleton for ARM 32-bit C++ compiler

### getThumbCC

    public static ADSCCompiler getThumbCC()

  Singleton for ARM 16-bit C compiler

### getThumbCpp

    public static ADSCCompiler getThumbCpp()

  Singleton for ARM 16-bit C++ compiler

### addImpliedArgs

    protected void addImpliedArgs(java.util.Vector args,
                                  boolean debug,
                                  boolean multithreaded,
                                  boolean exceptions,
                                  LinkType linkType,
                                  java.lang.Boolean rtti,
                                  OptimizationEnum optimization)

  Specified by:
    `addImpliedArgs` in class `CommandLineCompiler`

### addWarningSwitch

    protected void addWarningSwitch(java.util.Vector args,
                                    int warnings)

  Adds flags that customize the warnings reported Compiler does not appear to have warning levels but ability to turn off specific errors by explicit switches, could fabricate levels by prioritizing errors.

  Specified by:
    `addWarningSwitch` in class `CommandLineCompiler`
  See Also:
    `CommandLineCompiler.addWarningSwitch(java.util.Vector, int)`

### getDefineSwitch

    protected void getDefineSwitch(java.lang.StringBuffer buffer,
                                   java.lang.String define,
                                   java.lang.String value)

  Add command line options for preprocessor macro

  Specified by:
    `getDefineSwitch` in class `CommandLineCompiler`
  See Also:
    `CommandLineCompiler.getDefineSwitch(java.lang.StringBuffer, java.lang.String, java.lang.String)`

### getEnvironmentIncludePath

    protected java.io.File[] getEnvironmentIncludePath()

  ARMINC environment variable contains the default include path

  Specified by:
    `getEnvironmentIncludePath` in class `CommandLineCompiler`
  See Also:
    `CommandLineCompiler.getEnvironmentIncludePath()`

### getIncludeDirSwitch

    protected java.lang.String getIncludeDirSwitch(java.lang.String source)

  Returns command line option to specify include directory

  Specified by:
    `getIncludeDirSwitch` in class `CommandLineCompiler`

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Processor`
  Gets the linker that is associated with this processors

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Maximum command line length

  Specified by:
    `getMaximumCommandLength` in class `CommandLineCompiler`
  See Also:
    `CommandLineCompiler.getMaximumCommandLength()`

### getUndefineSwitch

    protected void getUndefineSwitch(java.lang.StringBuffer buffer,
                                     java.lang.String define)

  Specified by:
    `getUndefineSwitch` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.